
Redmine - Defect #40630

PDF Export generated internal error when an image is just after a bullet in a bulleted list

2024-04-24 09:19 - Pascal FINET

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.0.3

Description

When a wiki  page has

* !image.png! blabla

generating a PDF will make an internal error.

but when the wiki page has

* blabla !image.png!

, it works fine.

I'm using:

Redmine 5.0.3.stable

Ruby 2.6.10-p210

Rails 6.1.7

Database Mysql2

History

#1 - 2024-09-02 07:39 - Go MAEDA

I cannot reproduce the issue with Redmine 5.0.9.

#2 - 2024-09-02 14:50 - Holger Just

- Status changed from New to Needs feedback

Please provide additional details which allows us to reproduce this issue, including:

A log entry from Redmine's log showing a full stack trace.

The list of your plugins (if any)

A full reproducible example of textile which shows the error.

Please also update your Redmine to at least the latest 5.0.x version (right now 5.0.9). There were quite some bug fixes since then and your issue

might already be resolved.
